eclipse中的Android错误:无法解析目标’android-xx’

我知道这有一些重复,但到目前为止,没有一个答案可以帮助我。

在通过SVN与一些朋友共享的项目中,我总是收到以下错误:

无法解决目标’android-10′

当我更改project.properties以更改目标本时,错误消息将保留,除非我使用android-16。

我检查了我的项目的Android会话,看看我是否可以在那里更改目标,但它只给我16和17作为选项。

在我的SDK Manager中,我安装了整个“SDK 10”分支,以及其他几个分支。

有谁知道这里可能出现什么问题?

另一种方法不是使用相同的SDK,而是在您的计算机中使用SDK。

  1. 右键单击项目并选择Android,检查目标名称,单击“应用”和“确定”。
  2. 然后右键单击项目 – > Android工具 – >修复项目属性。
  3. 清理并构建项目。

set property add sdk

这个答案为时已晚,但对于遇到相同问题的任何人,请尝试从SDK Manager安装API 10。 然后像以前一样运行所有内容。

或者,如果您使用的是Windows操作系统,这也可能有所帮助: http : //sagistech.blogspot.ca/2010/05/android-sdk-error-unable-to-resolve.html

如果您没有在属性视图中将android-10作为选项,那么显然您的安装有问题。

好吧,显而易见的事情是双重检查Window >> Preferences >> Android中的SDK位置是否正确设置并指向正确安装ADT。 如果是这样,首选项中的视图还应包括SDK10作为已安装平台之一(在这种情况下,确实应该没有任何问题)。

如果没有,那么在Eclipse或ADT安装中出现了问题。 我会检查 – 只是为了确定 – 你有正确的Java SDK – 在这种情况下我自己也遇到过Eclipse / ADT的问题。

但是,如果这两件事看起来井井有条,我能给出的最好的建议是重新安装eclipse和ADT。 如果您只使用Android安装,那么我建议您使用developers.android.com上的“官方”Google Eclipse软件包。

除非你在日食环境中设置了很多东西,这些东西很难改变,否则我不建议花时间去识别搞乱的variables(从这里的痛苦经历说起来))。

导入项目后,选择项目后勾选“将项目复制到工作区”checkbox。 希望这对你有帮助,因为这个选项适合我。